<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }
 /*---Для выделения меню---*/
$url_page = $_SERVER['REQUEST_URI'];
$bg = 'class="mmmenu"';
$bg1 = 'class="mmenu"';
?>
  <?
 if ( !isset( $_SESSION['id'] ) or $config_user['account'] != 5 ) {
 echo '';
 } else {
  if ( $config_site['siteoff'] == 1 ) {
        $autopay = 'checked="checked"';
        $autopay_text = '<span id="check_text">Да</span>';
  } else {
        $autopay = '';
        $autopay_text = '<span id="check_text">Нет</span>';
  }
 ?>
  <div class="big_topics bor_top round3 FFF hr">
     <div class="main_top hr_menu padd5">
    <a <? if ( strpos( $url_page, 'admhome' ) ) echo $bg; else echo $bg1; ?> href="/admhome">Мод.Товаров</a>
    <a <? if ( strpos( $url_page, 'userpay' ) ) echo $bg; else echo $bg1; ?> href="/userpay">Выплаты</a>
    <a <? if ( strpos( $url_page, 'userlist' ) ) echo $bg; else echo $bg1; ?> href="/userlist">Пользователи</a>
    <a <? if ( strpos( $url_page, 'alltovar' ) ) echo $bg; else echo $bg1; ?> href="/alltovar">Все товары</a>
     <a <? if ( strpos( $url_page, 'set_con' ) ) echo $bg; else echo $bg1; ?> href="/set_con">Платежки</a>
<a <? if ( strpos( $url_page, 'all_con' ) ) echo $bg; else echo $bg1; ?> href="/all_con">Др. настройки</a>
<a <? if ( strpos( $url_page, 'coment' ) ) echo $bg; else echo $bg1; ?> href="/coment">Комментарии</a>
	 </div>
      
       <div class="wrap_user_r">
       <div class="menu_title">Общие настройки:</div>
<script type="text/javascript">
function check_text() {
        if ( $('#check_text').html() == 'Нет' ) $('#check_text').html('Да');
        else $('#check_text').html('Нет');
    }

function all_con() {
    $.ajax ({
        url: '/admin/ajax.php?func=all_con',
        type: 'POST',
        dataType: 'html',
        data: $("#all_con").serialize(),
        success: function(data) {
            if (data == 1) {
                setTimeout(function(){location.assign('all_con')} , 2000);
            $('body').Qnotify({text:'Настройки сохранены!', sound:'error'});
            }
        }
    });
}
</script>
        <form  id="all_con" method="POST" style="margin-left:10px;">
        <div class="padd10"></div><div class="top_games_mini">SMTP порт:</div><input type="text" name="smtp_port" id="smtp_port" class="ii round3" value="<?=$config_site['smtp_port']?>" />
        <div class="padd10"></div><div class="top_games_mini">Порт:</div><input type="text" name="port" id="port" class="ii round3" value="<?=$config_site['port']?>" />
        <div class="padd10"></div><div class="top_games_mini">Email сайта:</div><input type="text" name="smtp_email" id="smtp_email" class="ii round3" value="<?=$config_site['smtp_email']?>" />
        <div class="padd10"></div><div class="top_games_mini">Пароль:</div><input type="text" name="password" id="password" class="ii round3" value="<?=$config_site['password']?>" />
        <div class="padd10"></div><div class="top_games_mini">Яндекс ключ maps:</div><input type="text" name="maps_key" id="maps_key" class="ii round3" value="<?=$config_site['maps_key']?>" />
        <div class="padd10"></div><div class="top_games_mini">Название сайта:</div><input type="text" name="sitename" id="sitename" class="ii round3" value="<?=$config_site['sitename']?>" />
        <div class="padd10"></div><div class="top_games_mini">Токен вконтакте:</div><input type="text" name="vk_token_post" id="vk_token_post" class="ii round3" value="<?=$config_site['vk_token_post']?>" />
        <div class="padd10"></div><div class="top_games_mini">ID группы вконтакте:</div><input type="text" name="id_group" id="id_group" class="ii round3" value="<?=$config_site['id_group']?>" />
        <div class="padd10"></div><div class="top_games_mini">Сайт отключён:</div><div style="position: relative; padding-left: 125px; top: -18px;"><input type="checkbox" name="siteoff" id="siteoff" style="position: absolute; top: -1px; left: 102px;" onclick="check_text();" <?=$autopay?> /> <?=$autopay_text?></div>
        <div class="padd10"></div><input type="button" onclick="all_con();return false;" value="Сохранить" class="fb round3" style="padding:10px 25px;margin-left:225px;" /></form>
       </div>

 </div>

<?}}?>